def mystere(self):

    from collections import deque

    sortie = []

    tmp = deque()

    tmp.append('NA')

    while tmp:

        S = tmp.popleft()

        if S not in sortie:

            sortie.append(S)

            unvisited = [n for n in self.sommets[S] if n not in sortie]

            tmp.extend(unvisited)

    return sortie

